NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.ConvergentFacet Class Reference

Represents a facet from convergent topology. More...

Inheritance diagram for NXOpen.ConvergentFacet:
NXOpen.IFacet NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void Destroy ()
 Deletes a convergent facet object. More...
 
unsafe NXOpen.ConvergentFacet GetAdjacentFacet (int edgeIndex)
 Returns adjacent facet of a facet that abuts along edge of given edge index. More...
 
unsafe void GetPlaneEquation (out NXOpen.Vector3d planeNormal, out double dCoefficient)
 Returns coefficients of plane equation of a convergent facet. More...
 
unsafe NXOpen.Vector3d GetUnitNormal ()
 Returns unit normal vector of convergent facet. More...
 
unsafe NXOpen.Vector3d[] GetVertexNormals ()
 Returns unit vertex normals of convergent facet. More...
 
unsafe NXOpen.Point3d[] GetVertices ()
 Returns all three vertices of convergent facet in an array of points. More...
 
unsafe void SetVertices (NXOpen.Point3d[] points)
 Sets the coordinates of all the three vertices of a convergent facet to new values. More...
 
- Public Member Functions inherited from NXOpen.IFacet
unsafe bool GetIsVisible (NXOpen.Vector3d viewDir)
 Returns whether or not the facet is occluded by its owning body in given view direction. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool IsValid [get]
 Returns whether or not the convergent facet is a valid facet. More...
 
unsafe NXOpen.Face OwningFace [get]
 Returns the owning face of convergent facet. More...
 
unsafe NXOpen.Point3d Vertex0 [get, set]
 Returns or sets the coordinates of the vertex with index equal to zero. More...
 
unsafe NXOpen.Point3d Vertex1 [get, set]
 Returns or sets the coordinates of the vertex with index equal to one. More...
 
unsafe NXOpen.Point3d Vertex2 [get, set]
 Returns or sets the coordinates of the vertex with index equal to two. More...
 
- Properties inherited from NXOpen.IFacet
unsafe int FacetIdentifier [get]
 Returns the indentifier of facet in its owning entity More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a facet from convergent topology.

Instances of this class can be created using methods on NXOpen.Body and NXOpen.Face

Created in NX11.0.2

Member Function Documentation

unsafe void NXOpen.ConvergentFacet.Destroy ( )
inline

Deletes a convergent facet object.

Please note that this method does not geometrically delete a facet from its surface mesh leaving a hole. It only deletes the tagged object created to represent the individual facet. If you are dealing with a large number of facets in your application, use this method to delete the facet when you are finished working with it.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.ConvergentFacet NXOpen.ConvergentFacet.GetAdjacentFacet ( int  edgeIndex)
inline

Returns adjacent facet of a facet that abuts along edge of given edge index.

If edge of given edgeIndex is on boundary of the face, then a a null reference (Nothing in Visual Basic) is returned.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
edgeIndexthe index of edge at which adjacent facet is to find. It can be 0, 1 or 2. Error is returned for invalid value of edge index.
Returns
The adjacent facet along edge of input index
unsafe void NXOpen.ConvergentFacet.GetPlaneEquation ( out NXOpen.Vector3d  planeNormal,
out double  dCoefficient 
)
inline

Returns coefficients of plane equation of a convergent facet.

The equation is of the form Ax + By +Cz + D = 0. Three values contained in parameter planeNormal represent A, B and C coefficients of the equation. dCoefficient represents D coefficient of the equation.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
planeNormalThe plane unit normal for the facet. The (X, Y, Z) of this vector provide the A, B and C coefficients respectively of the plane equation.
dCoefficientprovides the D coefficient in the plane equation.
unsafe NXOpen.Vector3d NXOpen.ConvergentFacet.GetUnitNormal ( )
inline

Returns unit normal vector of convergent facet.

The unit normal of a facet depends on vertex ordering within facet and generally is in the direction of face normal. For a solid convergent body, the facet unit normal points away from the material if underlying surface is attached to the face in positive sense and vice versa.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The unit normal vector
unsafe NXOpen.Vector3d [] NXOpen.ConvergentFacet.GetVertexNormals ( )
inline

Returns unit vertex normals of convergent facet.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The array of three vectors containing unit vertex normals at each facet vertex.
unsafe NXOpen.Point3d [] NXOpen.ConvergentFacet.GetVertices ( )
inline

Returns all three vertices of convergent facet in an array of points.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The point array of three elements representing vertices of a convergent facet.
unsafe void NXOpen.ConvergentFacet.SetVertices ( NXOpen.Point3d[]  points)
inline

Sets the coordinates of all the three vertices of a convergent facet to new values.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
points

Property Documentation

unsafe bool NXOpen.ConvergentFacet.IsValid
get

Returns whether or not the convergent facet is a valid facet.

A facet becomes invalid when the underlying surface undergoes an update such that the given facet is no longer present in its surface.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.Face NXOpen.ConvergentFacet.OwningFace
get

Returns the owning face of convergent facet.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex0
getset

Returns or sets the coordinates of the vertex with index equal to zero.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex1
getset

Returns or sets the coordinates of the vertex with index equal to one.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex2
getset

Returns or sets the coordinates of the vertex with index equal to two.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.